Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ReimbursementCriterion

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v3.ReimbursementCriterion

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T09:02:49+02:00",
               comments="JAXB RI v2.2.11")
    public class ReimbursementCriterion

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Description" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
           </sequence>
           <attribute name="Category" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ReimbursementCriterion()`

Method Summary
`String` | `getCategory()` Gets the value of the category property.
`String` | `getCode()` Gets the value of the code property.
`ConsultTextType` | `getDescription()` Gets the value of the description property.
`void` | `setCategory(String value)` Sets the value of the category property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setDescription(ConsultTextType value)` Sets the value of the description property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReimbursementCriterion

    public ReimbursementCriterion()

Method Detail

### getDescription

    public ConsultTextType getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `ConsultTextType`

### setDescription

    public void setDescription(ConsultTextType value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getCategory

    public String getCategory()

  Gets the value of the category property.

  Returns:
    possible object is `String`

### setCategory

    public void setCategory(String value)

  Sets the value of the category property.

  Parameters:
    `value` - allowed object is `String`

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.